## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name sphinx-autodoc-typehints

Name:           python-%{pypi_name}
Version:        1.17.0
Release:        %autorelease
Summary:        Type hints support for the Sphinx autodoc extension

License:        MIT
URL:            https://github.com/agronholm/sphinx-autodoc-typehints
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This extension allows you to use Python 3 annotations for documenting
acceptable argument types and return value types of functions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
#BuildRequires:  python3-pytest

Requires:       python3-sphinx
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This extension allows you to use Python 3 annotations for documenting
acceptable argument types and return value types of functions.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -Rf requirements.txt test-requirements.txt *.egg-info

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

#%check
#export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
#PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -v tests

%files -n python3-%{pypi_name}
%{python3_sitelib}/sphinx_autodoc_typehints-%{version}*.egg-info/
%{python3_sitelib}/sphinx_autodoc_typehints/

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 1.17.0-2
- Rebuilt for Python 3.11

* Fri Mar 04 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.17.0-1
- Update to latest upstream release 1.17.0 (closes rhbz#2036464)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.12.0-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.12.0-1 -
  Update to latest upstream release 1.12.0 (rhbz#1949812)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 1.11.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Oct 13 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.11.1-1
- * Tue Oct 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.11.1-1 -
  Update to latest upstream release 1.11.1 (#1849421)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.11.0-1
- * Sun Jun 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.11.0-1 -
  Update to latest upstream release 1.11.0 (rhbz#1849421)

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 1.10.3-6
- Rebuilt for Python 3.9

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.10.3-5
- Update changelog

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.10.3-4
- Update %%files section

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.10.3-3
- Disable tests (missing deps)

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.10.3-2
- Commit again after saving

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.10.3-1
- * Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-1 -
  Enable tests - Update to latest upstream release 1.10.3 (rhbz#1697057)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> 1.2.3-10
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 1.2.3-9
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 1.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 1.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 18 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.2.3-6
- Drop explicit locale setting

* Sat Aug 25 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.2.3-5
- Use C.utf8 locale

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> 1.2.3-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Tristan Cacqueray <tdecacqu@redhat.com> 1.2.3-1
- Initial import (#1529644).
